<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:loadImage="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.IntImpPickUpRecordBean" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <!-- 外层容器承载间距 -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:orientation="vertical">

        <!-- 侧滑布局 -->
        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:id="@+id/swipe_menu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!-- 主列表项容器 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_item"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">

            <!-- 选中图标 -->
            <ImageView
                android:id="@+id/iv_icon"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_gravity="center"
                loadImage="@{bean.checked.get() ? @drawable/img_plane_s : @drawable/img_plane}"
                android:src="@drawable/img_plane" />

            <!-- 数据展示区域 -->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <!-- 第一行：运单号、件数、重量、计费重量、代理 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <!-- 运单号 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.0"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="运单号："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.wbNo}"
                            android:textColor="@color/colorPrimary"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 件数 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="件数："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{String.valueOf(bean.pc)}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 重量 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="重量："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{String.valueOf((int)bean.weight)}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 计费重量 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="计费重量："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{String.valueOf((int)bean.cashWeight)}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 代理 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="代理："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.agentCode}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 第二行：特码、服务费、仓储费、总金额、提取时间 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp">

                    <!-- 特码 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.0"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="特码："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.spCode}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 服务费 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="服务费："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{String.valueOf((int)bean.optCharge)}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 仓储费 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="仓储费："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{String.valueOf((int)bean.whsCharge)}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 总金额 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="总金额："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{String.valueOf((int)bean.amount)}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 提取时间 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="提取时间："
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.chargeTime}"
                            android:textSize="15sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

            </LinearLayout>

            <!-- 右侧箭头 -->
            <ImageView
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_gravity="center"
                android:layout_marginLeft="10dp"
                android:src="@drawable/img_pda_right" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <!-- 侧滑菜单区域 -->
        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <!-- 修改按钮 -->
            <TextView
                android:id="@+id/btn_edit"
                style="@style/tv_item_action"
                android:background="@color/colorPrimary"
                android:text="修改" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </LinearLayout>

</layout>
